// pages/hotuser/hotuser.js
const $api = require('../../utils/api.js').API;
Page({

  /**
   * 页面的初始数据
   */
  data: {
    list:[],
    total:0,
    page:1,
    date:''
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    $api.getDate().then(res=>{
      this.setData({
        date:res.data.data
      })
      this.getData()
    })
    
  },
  getData:function(){
    var list = this.data.list
    $api.getHotFollow({page:this.data.page,page_size:20,stock_date:this.data.date}).then(res=>{
      res.data.data.list.forEach(item => {
        list.push(item)
      })
      this.setData({
        list: list,
        total: res.data.data.total
      })
    })
  },
  next: function () {
    if (this.data.list.length < this.data.total) {
      const page = this.data.page + 1
      this.setData({
        page: page
      })
      this.getData()
    }
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})